unit FormBorderUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
    Self.BorderIcons := Self.BorderIcons + [biSystemMenu]
  else
    Self.BorderIcons := Self.BorderIcons - [biSystemMenu];
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if CheckBox2.Checked then
    Self.BorderIcons := Self.BorderIcons + [biMinimize]
  else
    Self.BorderIcons := Self.BorderIcons - [biMinimize];
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked then
    Self.BorderIcons := Self.BorderIcons + [biMaximize]
  else
    Self.BorderIcons := Self.BorderIcons - [biMaximize];
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  if CheckBox4.Checked then
    Self.BorderIcons := Self.BorderIcons + [biHelp]
  else
    Self.BorderIcons := Self.BorderIcons - [biHelp];
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
  0: Self.BorderStyle := bsSizeable;
  1: Self.BorderStyle := bsSingle;
  2: Self.BorderStyle := bsDialog;
  3: Self.BorderStyle := bsSizeToolWin;
  4: Self.BorderStyle := bsToolWindow;
  5: Self.BorderStyle := bsNone;
  end;
end;

end.
